Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITreeNode

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UITreeNode

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.richfaces.event.DropSource, org.richfaces.event.TreeListenerEventsProducer

Direct Known Subclasses:
  HtmlTreeNode

    public abstract class UITreeNode

extends javax.faces.component.UIComponentBase
implements org.richfaces.event.TreeListenerEventsProducer, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.ajax4jsf.component.AjaxComponent

Author:
  Nick Belaevski - nbelaevski@exadel.com created 22.11.2006 Component class providing concrete representation for tree node

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`protected static java.lang.String` | `DEFAULT_NODE_FACE_ATTRIBUTE_NAME` Attribute name to indicate if this tree node is a virtual `UITreeNode` providing default representation for node.

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UITreeNode()`

Method Summary
`void` | `addChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)`
`void` | `addDragListener(org.richfaces.event.DragListener listener)`
`void` | `addDropListener(org.richfaces.event.DropListener listener)`
`void` | `addNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`java.lang.Object` | `getAcceptedTypes()`
`abstract java.lang.String` | `getAjaxSubmitSelection()`
`java.util.Map` | `getAttributes()`
`org.richfaces.event.NodeExpandedListener[]` | `getChangeExpandListeners()`
`protected java.lang.String` | `getDefaultOndragend()`
`protected java.lang.String` | `getDefaultOndragenter()`
`protected java.lang.String` | `getDefaultOndragexit()`
`protected java.lang.String` | `getDefaultOndragstart()`
`protected java.lang.String` | `getDefaultOndrop()`
`protected java.lang.String` | `getDefaultOndropend()`
`java.lang.String` | `getDragIndicator()`
`org.richfaces.event.DragListener[]` | `getDragListeners()`
`java.lang.String` | `getDragType()`
`org.richfaces.event.DropListener[]` | `getDropListeners()`
`abstract java.lang.String` | `getHighlightedClass()`
`abstract java.lang.String` | `getIcon()`
`abstract java.lang.String` | `getIconCollapsed()`
`javax.faces.component.UIComponent` | `getIconCollapsedFacet()`
`abstract java.lang.String` | `getIconExpanded()`
`javax.faces.component.UIComponent` | `getIconExpandedFacet()`
`javax.faces.component.UIComponent` | `getIconFacet()`
`abstract java.lang.String` | `getIconLeaf()`
`javax.faces.component.UIComponent` | `getIconLeafFacet()`
`protected java.lang.String` | `getLocalDragIndicator()`
`org.richfaces.event.NodeSelectedListener[]` | `getNodeSelectListeners()`
`java.lang.String` | `getResolvedDragIndicator(javax.faces.context.FacesContext facesContext)`
`abstract java.lang.String` | `getSelectedClass()`
`abstract java.lang.String` | `getType()`
`UITree` | `getUITree()` Finds direct parent `UITree` component or throws
`boolean` | `hasAjaxSubmitSelection()`
`void` | `removeChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)`
`void` | `removeDragListener(org.richfaces.event.DragListener listener)`
`void` | `removeDropListener(org.richfaces.event.DropListener listener)`
`void` | `removeNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptedTypes(java.lang.Object types)`
`abstract void` | `setAjaxSubmitSelection(java.lang.String ajaxSubmitSelection)`
`void` | `setDragIndicator(java.lang.String dragIndicator)`
`void` | `setDragType(java.lang.String dragType)`
`abstract void` | `setHighlightedClass(java.lang.String selectedClass)`
`abstract void` | `setIcon(java.lang.String icon)`
`abstract void` | `setIconCollapsed(java.lang.String icon)`
`abstract void` | `setIconExpanded(java.lang.String icon)`
`abstract void` | `setIconLeaf(java.lang.String icon)`
`abstract void` | `setSelectedClass(java.lang.String selectedClass)`
`abstract void` | `setType(java.lang.String type)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`getFamily`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.event.TreeListenerEventsProducer
`getChangeExpandListener, getDragListener, getDropListener, getNodeSelectListener, setChangeExpandListener, setDragListener, setDropListener, setNodeSelectListener`

Methods inherited from interface org.richfaces.component.Draggable
`getDragListener, getDragValue, getOndragend, getOndragstart, setDragListener, setDragValue, setOndragend, setOndragstart`

Methods inherited from interface org.richfaces.component.Dropzone
`getDropValue, getOndragenter, getOndragexit, getOndrop, getOndropend, getTypeMapping, setDropValue, setOndragenter, setOndragexit, setOndrop, setOndropend, setTypeMapping`

Methods inherited from interface org.richfaces.event.DropSource
`getDropListener, setDropListener`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getRequestDelay, getReRender, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setRequestDelay, setReRender, setStatus, setTimeout`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### DEFAULT_NODE_FACE_ATTRIBUTE_NAME

    protected static final java.lang.String DEFAULT_NODE_FACE_ATTRIBUTE_NAME

  Attribute name to indicate if this tree node is a virtual `UITreeNode` providing default representation for node. Default tree node representation should use attributes of its parent `UITree` component

  See Also:
    Constant Field Values

Constructor Detail

### UITreeNode

    public UITreeNode()

Method Detail

### getType

    public abstract java.lang.String getType()

### setType

    public abstract void setType(java.lang.String type)

### getIcon

    public abstract java.lang.String getIcon()

### setIcon

    public abstract void setIcon(java.lang.String icon)

### getIconExpanded

    public abstract java.lang.String getIconExpanded()

### setIconExpanded

    public abstract void setIconExpanded(java.lang.String icon)

### getIconCollapsed

    public abstract java.lang.String getIconCollapsed()

### setIconCollapsed

    public abstract void setIconCollapsed(java.lang.String icon)

### getIconLeaf

    public abstract java.lang.String getIconLeaf()

### setIconLeaf

    public abstract void setIconLeaf(java.lang.String icon)

### setAjaxSubmitSelection

    public abstract void setAjaxSubmitSelection(java.lang.String ajaxSubmitSelection)

### getAjaxSubmitSelection

    public abstract java.lang.String getAjaxSubmitSelection()

### setHighlightedClass

    public abstract void setHighlightedClass(java.lang.String selectedClass)

### getHighlightedClass

    public abstract java.lang.String getHighlightedClass()

### setSelectedClass

    public abstract void setSelectedClass(java.lang.String selectedClass)

### getSelectedClass

    public abstract java.lang.String getSelectedClass()

### hasAjaxSubmitSelection

    public boolean hasAjaxSubmitSelection()

  Specified by:
    `hasAjaxSubmitSelection` in interface `org.richfaces.event.TreeListenerEventsProducer`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### addChangeExpandListener

    public void addChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)

  Specified by:
    `addChangeExpandListener` in interface `org.richfaces.event.TreeListenerEventsProducer`

### addNodeSelectListener

    public void addNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)

  Specified by:
    `addNodeSelectListener` in interface `org.richfaces.event.TreeListenerEventsProducer`

### removeChangeExpandListener

    public void removeChangeExpandListener(org.richfaces.event.NodeExpandedListener listener)

### removeNodeSelectListener

    public void removeNodeSelectListener(org.richfaces.event.NodeSelectedListener listener)

### getChangeExpandListeners

    public org.richfaces.event.NodeExpandedListener[] getChangeExpandListeners()

### getNodeSelectListeners

    public org.richfaces.event.NodeSelectedListener[] getNodeSelectListeners()

### getUITree

    public UITree getUITree()

  Finds direct parent `UITree` component or throws

  Returns:
    `UITree` instance

### addDropListener

    public void addDropListener(org.richfaces.event.DropListener listener)

  Specified by:
    `addDropListener` in interface `org.richfaces.event.DropSource`

### getDropListeners

    public org.richfaces.event.DropListener[] getDropListeners()

  Specified by:
    `getDropListeners` in interface `org.richfaces.event.DropSource`

### removeDropListener

    public void removeDropListener(org.richfaces.event.DropListener listener)

  Specified by:
    `removeDropListener` in interface `org.richfaces.event.DropSource`

### addDragListener

    public void addDragListener(org.richfaces.event.DragListener listener)

  Specified by:
    `addDragListener` in interface `org.richfaces.component.Draggable`

### getDragListeners

    public org.richfaces.event.DragListener[] getDragListeners()

  Specified by:
    `getDragListeners` in interface `org.richfaces.component.Draggable`

### removeDragListener

    public void removeDragListener(org.richfaces.event.DragListener listener)

  Specified by:
    `removeDragListener` in interface `org.richfaces.component.Draggable`

### getAttributes

    public java.util.Map getAttributes()

  Overrides:
    `getAttributes` in class `javax.faces.component.UIComponentBase`

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.Object types)

  Specified by:
    `setAcceptedTypes` in interface `org.richfaces.component.Dropzone`

### getAcceptedTypes

    public java.lang.Object getAcceptedTypes()

  Specified by:
    `getAcceptedTypes` in interface `org.richfaces.component.Dropzone`

### setDragType

    public void setDragType(java.lang.String dragType)

  Specified by:
    `setDragType` in interface `org.richfaces.component.Draggable`

### getDragType

    public java.lang.String getDragType()

  Specified by:
    `getDragType` in interface `org.richfaces.component.Draggable`

### getIconFacet

    public javax.faces.component.UIComponent getIconFacet()

### getIconLeafFacet

    public javax.faces.component.UIComponent getIconLeafFacet()

### getIconExpandedFacet

    public javax.faces.component.UIComponent getIconExpandedFacet()

### getIconCollapsedFacet

    public javax.faces.component.UIComponent getIconCollapsedFacet()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

### setDragIndicator

    public void setDragIndicator(java.lang.String dragIndicator)

  Specified by:
    `setDragIndicator` in interface `org.richfaces.component.Draggable`

### getLocalDragIndicator

    protected java.lang.String getLocalDragIndicator()

### getDragIndicator

    public java.lang.String getDragIndicator()

  Specified by:
    `getDragIndicator` in interface `org.richfaces.component.Draggable`

### getResolvedDragIndicator

    public java.lang.String getResolvedDragIndicator(javax.faces.context.FacesContext facesContext)

  Specified by:
    `getResolvedDragIndicator` in interface `org.richfaces.component.Draggable`

### getDefaultOndragend

    protected java.lang.String getDefaultOndragend()

### getDefaultOndragenter

    protected java.lang.String getDefaultOndragenter()

### getDefaultOndragexit

    protected java.lang.String getDefaultOndragexit()

### getDefaultOndragstart

    protected java.lang.String getDefaultOndragstart()

### getDefaultOndrop

    protected java.lang.String getDefaultOndrop()

### getDefaultOndropend

    protected java.lang.String getDefaultOndropend()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.